# Create Network Storage - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-create-network-storage

# Create Network Storage

POST

/

gpu-instance

/

openapi

/

v1

/

networkstorage

/

create

Try it

Create Network Storage

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"clusterId": "&#x3C;string>",
"storageName": "&#x3C;string>",
"storageSize": 123
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create"payload = { "clusterId": "&#x3C;string>", "storageName": "&#x3C;string>", "storageSize": 123}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({clusterId: '&#x3C;string>', storageName: '&#x3C;string>', storageSize: 123})};fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'clusterId' => '&#x3C;string>', 'storageName' => '&#x3C;string>', 'storageSize' => 123 ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create"	payload := strings.NewReader("{\n \"clusterId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": 123\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"clusterId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": 123\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"clusterId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": 123\n}"response = http.request(request)puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-cluster-id)

clusterId

string

required

[​](#param-storage-name)

storageName

string

required

[​](#param-storage-size)

storageSize

integer

required

##

[​](#example)

Example

Request

```
curl --request POST \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"clusterId": "string",
"storageName": "string",
"storageSize": 0
}'
```

Response

```
""
```

Last modified on December 23, 2024
